### Class

# Snapd Connection

since: 1.0

#### Description [src]

    final class Snapd.Connection : GObject.Object
    {
      /* No available fields */
    }

`SnapdConnection` contains the state of Snap a interface connection.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### snapd_connection_get_gadget

Get if this connection was made by the gadget snap.

since: 1.48

###### snapd_connection_get_interface

Get the interface this connections uses.

since: 1.48

###### snapd_connection_get_manual

Get if this connection was made manually.

since: 1.48

###### snapd_connection_get_name

Get the name of this connection (i.e. a slot or plug name).

deprecated: 1.48 since: 1.0

###### snapd_connection_get_plug

Get the plug this connection is made with.

since: 1.48

###### snapd_connection_get_plug_attribute

Get an attribute for connected plug.

since: 1.48

###### snapd_connection_get_plug_attribute_names

Get the names of the attributes the connected plug has.

since: 1.48

###### snapd_connection_get_slot

Get the slot this connection is made with.

since: 1.48

###### snapd_connection_get_slot_attribute

Get an attribute for connected slot.

since: 1.48

###### snapd_connection_get_slot_attribute_names

Get the names of the attributes the connected slot has.

since: 1.48

###### snapd_connection_get_snap

Get the snap this connection is on.

deprecated: 1.48 since: 1.0

###### snapd_connection_has_plug_attribute

Check if the connected plug has an attribute.

since: 1.48

###### snapd_connection_has_slot_attribute

Check if the connected slot has an attribute.

since: 1.48

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Connection:gadget

No description available.

###### Snapd.Connection:interface

No description available.

###### Snapd.Connection:manual

No description available.

###### Snapd.Connection:name

No description available.

###### Snapd.Connection:plug

No description available.

###### Snapd.Connection:plug-attrs

No description available.

###### Snapd.Connection:slot

No description available.

###### Snapd.Connection:slot-attrs

No description available.

###### Snapd.Connection:snap

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdConnectionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.